# Prompt new players who are not yet in a team
function nazars_rainbow:main

# Assign new players to the 'nazar_new_player' team
execute as @a[team=!nazar_plain_player,team=!nazar_dark_red,team=!nazar_red,team=!nazar_gold,team=!nazar_yellow,team=!nazar_dark_green,team=!nazar_green,team=!nazar_aqua,team=!nazar_dark_aqua,team=!nazar_dark_blue,team=!nazar_blue,team=!nazar_light_purple,team=!nazar_dark_purple,team=!nazar_white,team=!nazar_gray,team=!nazar_dark_gray,team=!nazar_black] run team join nazar_plain_player @s
execute as @a[scores={n_colour_select=1}] run team join nazar_plain_player @s
execute as @a[team=nazar_plain_player] run scoreboard players set @s n_colour_select 1

# Remove floor apples
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{110971229711410097114107114101100:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114114101100:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114103111108100:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114121101108108111119:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{110971229711410097114107103114101101110:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114103114101101110:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{11097122971149711311797:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114100971141079711311797:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{11097122971141009711410798108117101:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{110971229711498108117101:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114108105103104116112117114112108101:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{11097122971141009711410711211711411210810:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114119104105116101:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{110971229711410311497121:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{11097122971141009711410710311497121:1b}}}}] run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:apple",components:{"minecraft:unbreakable":{},"minecraft:custom_data":{1109712297114981089799107:1b}}}}] run kill @s

# the team select cooldown
scoreboard players remove @a[scores={n_colour_select_cooldown=1..}] n_colour_select_cooldown 1

# monitoring the triggers
execute as @a[scores={n_reset_colour=1..}] run function nazars_rainbow:reset_colour
execute as @a[scores={n_select_dark_red=1..}] run function nazars_rainbow:select_dark_red
execute as @a[scores={n_select_red=1..}] run function nazars_rainbow:select_red
execute as @a[scores={n_select_gold=1..}] run function nazars_rainbow:select_gold
execute as @a[scores={n_select_yellow=1..}] run function nazars_rainbow:select_yellow
execute as @a[scores={n_select_dark_green=1..}] run function nazars_rainbow:select_dark_green
execute as @a[scores={n_select_green=1..}] run function nazars_rainbow:select_green
execute as @a[scores={n_select_aqua=1..}] run function nazars_rainbow:select_aqua
execute as @a[scores={n_select_dark_aqua=1..}] run function nazars_rainbow:select_dark_aqua
execute as @a[scores={n_select_dark_blue=1..}] run function nazars_rainbow:select_dark_blue
execute as @a[scores={n_select_blue=1..}] run function nazars_rainbow:select_blue
execute as @a[scores={n_select_light_purple=1..}] run function nazars_rainbow:select_light_purple
execute as @a[scores={n_select_dark_purple=1..}] run function nazars_rainbow:select_dark_purple
execute as @a[scores={n_select_white=1..}] run function nazars_rainbow:select_white
execute as @a[scores={n_select_gray=1..}] run function nazars_rainbow:select_gray
execute as @a[scores={n_select_dark_gray=1..}] run function nazars_rainbow:select_dark_gray
execute as @a[scores={n_select_black=1..}] run function nazars_rainbow:select_black